package com.ms.biz.service.impl;

import com.ms.biz.service.PlatformPurchaseOrderSkuService;
import com.ms.dal.entity.PlatformPurchaseOrderSku;
import com.ms.dal.mapper.PlatformPurchaseOrderSkuMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class PlatformPurchaseOrderSkuServiceImpl implements PlatformPurchaseOrderSkuService {

    @Autowired
    private PlatformPurchaseOrderSkuMapper platformPurchaseOrderSkuMapper;

    @Override
    public int deleteByPrimaryKey(String id) {
        return platformPurchaseOrderSkuMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(PlatformPurchaseOrderSku record) {
        return platformPurchaseOrderSkuMapper.insert(record);
    }

    @Override
    public int insertSelective(PlatformPurchaseOrderSku record) {
        return platformPurchaseOrderSkuMapper.insertSelective(record);
    }

    @Override
    public PlatformPurchaseOrderSku selectByPrimaryKey(String id) {
        return platformPurchaseOrderSkuMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(PlatformPurchaseOrderSku record) {
        return platformPurchaseOrderSkuMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(PlatformPurchaseOrderSku record) {
        return platformPurchaseOrderSkuMapper.updateByPrimaryKey(record);
    }

}




